Support

Different compile-time and runtime versions for GEOS found

Follow

When publishing from the IDE (either Workbench or Desktop Pro), you may run into the below error:

Different compile-time and runtime versions for GEOS found: Linked against: 3.9.1-CAPI-1.14.2 compiled against: 3.4.2-CAPI-1.8.2

This error message is specific to the packages GEOS and GDAL. Generally, package related issues are outside of our Support Agreement being that R packages are maintained by parties external to RStudio & are open-source software. That being said, we've seen enough of this issue in the past to point you in the right direction. 

This issue is caused by different versions of C++ installed on the machine hosting RStudio and the version of C++ that was used to compile GEOS.  This type of issue would best be resolved by your IT team who can reinstall the correct version of C++ on your machine, that is required to run GEOS.

The following article steps through the process of updating the C++ libraries in your operating system:
https://support.rstudio.com/hc/en-us/articles/360006145413-RStudio-Workbench-RStudio-Server-Pro-with-devtoolset-enabled/

You might also be able to find an answer by using the additional resources in StackOverflow or our Community site: https://community.rstudio.com/.

As the last step, we would suggest trying to run R from the command line to see if the issue can be reproduced. Although, given that this relates to your version of C++ on your machine, you may see the same issue - but it's worth giving it a shot.

Support Ticket

If you still have issues after completing the above, you can always lodge a support ticket, where our group of friendly, and incredibly knowledgeable staff can assist with any issues that you may be having. You can submit a ticket here:

https://support.rstudio.com/hc/en-us/requests/new

 

Comments